Bug 252126 - shells/bash: error magesages on install bash 5.1.4
Summary: shells/bash: error magesages on install bash 5.1.4
Status: Closed DUPLICATE of bug 250926
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-25 08:41 UTC by John D.
Modified: 2020-12-25 09:22 UTC (History)
1 user (show)

See Also:
linimon: maintainer-feedback? (ehaupt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John D. 2020-12-25 08:41:35 UTC
On install bash-5.1.4, some error appear:

---- 8< -------------
[9/9] Extracting bash-5.1.4: 100%
pkg: Failed to execute lua script: [string "shell_path = pkg.prefixed_path("bin/bash")..."]:7: attempt to index a nil value (global 'shell')
pkg: lua script failed

---- 8< -------------

Env info: 
  freebsd-version -u : 11.4-RELEASE-p6
  pkg -v             : 1.15.10
Comment 1 Emanuel Haupt freebsd_committer 2020-12-25 09:22:12 UTC
It's a known bug in pkg, please see:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250926

*** This bug has been marked as a duplicate of bug 250926 ***